Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.pc
Class PcHeader

    java.lang.Object
      com.stc.connector.sagadapter.jni.pc.PcHeader

    public class PcHeader

extends java.lang.Object

Wrapper class for SAG C++ Header class. It is derived from sagcontroltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:41 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`PcHeader()` Creates a new instance of Header
`PcHeader(PcHeader orig)`

Method Summary
`void` | `free()` Method free.
`boolean` | `getCompatMode()`
`java.lang.String` | `getLogApplicationId()`
`java.lang.String` | `getPrimitive()`
`java.lang.String` | `getUserAuthentication()`
`java.lang.String` | `getUserId()`
`void` | `setLogApplicationId(java.lang.String sLogApplicationId)`
`void` | `setPrimitive(java.lang.String sPrimitive)`
`void` | `setUserAuthentication(java.lang.String sUserAuthentication)`
`void` | `setUserId(java.lang.String sUserId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PcHeader

    public PcHeader()

  Creates a new instance of Header

### PcHeader

    public PcHeader(PcHeader orig)

Parameters:
  `orig` -

Method Detail

### free

    public void free()

  Method free.

### setUserId

    public void setUserId(java.lang.String sUserId)

  Parameters:
    `sUserId` -

### getUserId

    public java.lang.String getUserId()

  Returns:

### setUserAuthentication

    public void setUserAuthentication(java.lang.String sUserAuthentication)

  Parameters:
    `sUserAuthentication` -

### getUserAuthentication

    public java.lang.String getUserAuthentication()

  Returns:

### setLogApplicationId

    public void setLogApplicationId(java.lang.String sLogApplicationId)

  Parameters:
    `sLogApplicationId` -

### getLogApplicationId

    public java.lang.String getLogApplicationId()

  Returns:

### setPrimitive

    public void setPrimitive(java.lang.String sPrimitive)

  Parameters:
    `sPrimitive` -

### getPrimitive

    public java.lang.String getPrimitive()

  Returns:

### getCompatMode

    public boolean getCompatMode()

  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.